% index2d.m
%
% COADS data have length 42164 for each snapshot,
% equal to the number of ocean grids.  Because
% there are no data over land grids, this reduces
% the file size, but at the cost of making the
% field impossible to trivially reshape into a
% 2D grid.  This routine loads the COADS default
% lat and lon positions and calculates the
% matrix index(42164,2).  The 2D field clm2 is
% related to the COADS vector field clm by:
%	clm2(index)=clm;
%	clm(i)=clm2(rindex(1,i),rindex(2,i));
%
% NOTE: this routine assumes the grid spacing is
% one degree in both latitude and longitude.
%
%	Rick Lumpkin, 17 Aug. 2000

directory='/home/lasalle0/kspeer/climate/DASILVA/';

eval(['lat=getnc(''',directory,'''netheat'',''lat'');']);
eval(['lon=getnc('''directory,'''netheat'',''lon'');'];
q=find(lon>180);lon(q)=lon(q)-360;
lat2=min(lat):max(lat);
lon2=min(lon):max(lon);

index=NaN*ones(length(lat),2);
for n=1:length(lat2);
  q=find(lat==lat2(n));
  index(q,1)=n;
end;
for n=1:length(lon2);
  q=find(lon==lon2(n));
  index(q,2)=n;
end;

rindex=index';
index=(index(:,2)-1)*max(index(:,1)) + index(:,1);
lon=lon2;lat=lat2;
index=index';

save index2d index rindex lon lat;

