function [SST,NH,Tx,Ty,year,lat,lon]=loadannanoms(climname);

% function [SST,NH,Tx,Ty,lat,lon]=loadannanoms(climname);
% load annual anomalies of SST,
%   netheat (NH), and wind stress Tx, Ty.

if strcmp(climname,'coads')
    minyr=1945;maxyr=1989;
elseif (strcmp(climname,'soc'))
    minyr=1980;maxyr=1997;
elseif (strcmp(climname,'whoi'))
    minyr=1988;maxyr=1999;
end;
year=minyr:maxyr;

eval(['[lon,lat,lonvec,latvec,sss,index,' ...
         'sst,netheat,eminusp,taux,tauy]=load', ...
         climname,'year(minyr);']);
 
% allocate memory for SST     
SST=NaN*ones(length(lat),length(lon),length(year));
NH=SST; Tx=SST; Ty=SST;
temp=NaN*ones(length(lat),length(lon));
% assign minyr values
temp(index)=mean(sst,1);
SST(:,:,1)=temp;
temp(index)=mean(netheat,1);
NH(:,:,1)=temp;
temp(index)=mean(taux,1);
Tx(:,:,1)=temp;
temp(index)=mean(tauy,1);
Ty(:,:,1)=temp;

% loop through years, saving the annual mean SST
for yrind=2:length(year);
    eval(['[lon,lat,lonvec,latvec,sss,index,' ...
         'sst,netheat,eminusp,taux,tauy]=load', ...
         climname,'year(',num2str(year(yrind)),');']);
    temp(index)=mean(sst,1);
    SST(:,:,yrind)=temp;
    temp(index)=mean(netheat,1);
    NH(:,:,yrind)=temp;
    temp(index)=mean(taux,1);
    Tx(:,:,yrind)=temp;
    temp(index)=mean(tauy,1);
    Ty(:,:,yrind)=temp;
end;
clear latvec lonvec netheat sss sst taux tauy temp

% take anomalies
SSTbar=mean(SST,3);
NHbar=mean(NH,3);
Txbar=mean(Tx,3);
Tybar=mean(Ty,3);
for yrind=1:length(year);
    SST(:,:,yrind)=SST(:,:,yrind)-SSTbar;
    NH(:,:,yrind)=NH(:,:,yrind)-NHbar;
    Tx(:,:,yrind)=Tx(:,:,yrind)-Txbar;
    Ty(:,:,yrind)=Ty(:,:,yrind)-Tybar;
end;

 
     
