% plotTAdipole - plot a time series of the
% TA dipole (e.g. Fig.1(a) of Chang et al., JClim 2001.
clear all;

climname='soc';
[SST,NH,Tx,Ty,year,lat,lon]=loadannanoms(climname);

SST_TNA=NaN*ones(size(year)); SST_TSA=SST_TNA;
for yrind=1:length(year);
    i=find(lat>=6 & lat<=24);
    j=find(lon>=-80 & lon<=-15);
    temp=SST(i,j,yrind);
    q=find(isfinite(temp));
    SST_TNA(yrind)=mean(temp(q));
    
    i=find(lat>=-24 & lat<=-6);
    j=find(lon>=-40 & lon<=-15);
    temp=SST(i,j,yrind);
    q=find(isfinite(temp));
    SST_TSA(yrind)=mean(temp(q));
end;
plot(year,SST_TNA-SST_TSA)
